unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ExtCtrls;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    MFile: TMenuItem;
    MHelp: TMenuItem;
    MOpen: TMenuItem;
    MOptions: TMenuItem;
    MSave: TMenuItem;
    MExit: TMenuItem;
    MAbout: TMenuItem;
    OpenDialog1: TOpenDialog;
    Image1: TImage;
    SaveDialog1: TSaveDialog;
    procedure MExitClick(Sender: TObject);
    procedure MOpenClick(Sender: TObject);
    procedure MAboutClick(Sender: TObject);
    procedure MSaveClick(Sender: TObject);
    procedure MOptionsClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses About, Options;

{$R *.DFM}

procedure TForm1.MExitClick(Sender: TObject);
begin
 Close;
end;

procedure TForm1.MOpenClick(Sender: TObject);
begin
 if OpenDialog1.Execute then
  try
   Image1.Picture.LoadFromFile(OpenDialog1.Filename);
  except
   on EFOpenError do
    ShowMessage ('   '+OpenDialog1.Filename);
   on EInvalidGraphic do
    ShowMessage ('  '+OpenDialog1.Filename);
  end;
end;

procedure TForm1.MAboutClick(Sender: TObject);
begin
 AboutBox.ShowModal;
end;

procedure TForm1.MSaveClick(Sender: TObject);
var FormImage: TBitmap;

begin
 if SaveDialog1.Execute then begin
  FormImage := GetFormImage;
  try
   Image1.Picture.Assign(FormImage);
  finally
   FormImage.Free;
  end; 
  try
   if Pos('.bmp',LowerCase(SaveDialog1.FileName))<>Length(SaveDialog1.FileName)-3 then
    SaveDialog1.FileName:=SaveDialog1.FileName+'.bmp';
   Image1.Picture.SaveToFile (SaveDialog1.FileName);
  except
   on E:EInOutError do
    ShowMessage ('   '+OpenDialog1.Filename);
  end;
 end;
end;

procedure TForm1.MOptionsClick(Sender: TObject);
begin
  OptionBox.Show;
end;

end.
